# Contributor Guide

## TfStated's code is open source, not open contribution

[Similar to SQLite](https://www.sqlite.org/copyright.html), TfStated's code is
open source but not open contribution for multiple reasons:

- It avoids potential intellectual property and licensing issues.
- It removes the burden of reviewing patches and maintaining the resulting code.
- It helps keep the software focused on a clear vision.

While this might be disappointing to you, this choice helps me continue to build
and maintain TfStated.

## Bug reports

I am thankful for any bug report. Feel free to open issues or comment on
existing ones and include as much useful information as possible. Please try to
search through open issues first to avoid duplicates!

I cannot guarantee that I will fix every bug.

## Ideas and feature suggestions

Ideas about existing features and suggestions for new ones are welcome, either
on by opening issues on this forge or by
[email](mailto:julien.dessaux@adyxax.org). I am also reachable on [mastodon
@adyxax@adyxax.org](https://fedi.adyxax.org/@adyxax). If you want us to have
some privacy, [here is my public gpg
key](https://www.adyxax.org/static/F92E51B86E07177E.pgp).

You can also [hire me](mailto:julien.dessaux@adyxax.org) for support or to
develop specific features.
