# What is TfStated

TfStated is an [OpenTofu/Terraform states HTTP
backend](https://developer.hashicorp.com/terraform/language/backend/http).

OpenTofu/Terraform state files are extremely sensitive: they describe the
complete state of one's infrastructure including secrets and other sensitive
data. TfStated's primary mission is to safely and securely manage these state
files. This entails:

- Storing the state files fully encrypted.
- Controlling whose people or what systems have access to which state files.
- Keeping an audit log of state files access and modifications.
- Storing state files version history.
- Allowing to rollback to previous state files versions.
- Manage state file locks.
